Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007183 [DCSS] Bug Report minor unable to reproduce 2013-06-09 00:49 2015-05-09 09:00
Reporter Mu View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007183: Erolcha, irrationally afraid
Description I bumped into Erolcha on D:10. We fought, and she cast me into the Abyss. I walked around in the Abyss for a little while, managed to find an exit, and returned to the dungeon.

Upon returning to the dungeon, Erolcha seemed to (permenantly?) have the fear status, and spent the rest of her life crying and running away from me as I killed her.

I cannot reproduce this locally, but you can view the event with,

!lm itsmu abyss.exit gid=itsmu:cdo:20130508105051S -tv:>2
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0023165)
neil (administrator)
2013-06-12 23:07
edited on: 2013-06-12 23:07

Hm... if the monster decides to melee you but that fails, it gets ENCH_FEAR for lack of anything better to do. That may have been what happened here. mon-act.cc, handle_monster_move():
                if (fight_melee(mons, enemy))
                {
                    mmov.reset();
                    DEBUG_ENERGY_USE("fight_melee()");
                    return;
                }
                else
                {
                    // FIXME: None of these work!
                    // Instead run away!
                    if (mons->add_ench(mon_enchant(ENCH_FEAR)))
                        behaviour_event(mons, ME_SCARE, 0, newcell);
                    return;
                }


(0029035)
PleasingFungus (administrator)
2015-05-09 09:00

This is probably the bug fixed by 63cfc764923e; if it re-occurs, feel free to reopen this ticket.

- Issue History
Date Modified Username Field Change
2013-06-09 00:49 Mu New Issue
2013-06-12 23:07 neil Note Added: 0023165
2013-06-12 23:07 neil Note Edited: 0023165
2013-06-12 23:07 neil Note Edited: 0023165
2015-05-09 09:00 PleasingFungus Note Added: 0029035
2015-05-09 09:00 PleasingFungus Status new => resolved
2015-05-09 09:00 PleasingFungus Fixed in Branch => 0.16 pre-release branch
2015-05-09 09:00 PleasingFungus Resolution open => done
2015-05-09 09:00 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker